Method: projects.locations.producerExtensions.delete

Deletes the specified ProducerExtension resource.

HTTP request

DELETE https://networkservices.googleapis.com/v1beta1/{name=projects/*/locations/*/producerExtensions/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the ProducerExtension resource to delete. It must be in this format: projects/{project}/locations/{location}/producerExtensions/{producerExtension}.

Query parameters

Parameters
etag

string

Optional. The ETag of the ProducerExtension to delete.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

IAM Permissions

Requires the following IAM permission on the name resource:

  • networkservices.producerExtensions.delete

For more information, see the IAM documentation.